map $host $registry { default registy; }

server {
    listen      80;
    listen      [::]:80;
    server_name registry.shore.co.il;
    include     snippets/www-acme-challenge.conf;
    include     snippets/redirect-https.conf;
}

server {
    listen      443 ssl;
    listen      [::]:443 ssl;
    server_name registry.shore.co.il;
    include     snippets/ssl.conf;

    location / {
        proxy_pass          http://$registry$request_uri;
        proxy_http_version  1.1;
        include             snippets/proxy-headers.conf;
        include             snippets/allow-private-ips.conf;
    }
}
